Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/level/model/worldmodel.s3d_model_log
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/level/model/worldmodel.s3d_model_log	(revision 2486)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/tmp/res/level/model/worldmodel.s3d_model_log	(revision 2499)
@@ -1122,7 +1122,79 @@
 }
 {
-    name "head_group"
-    bound_min -0.286419 -0.346221 -0.436515
-    bound_max 0.290669 0.334446 0.436515
+    name "labourwalls2"
+    bound_min -3.28954 -3.55913 -2.10916
+    bound_max 3.28954 3.55913 2.10916
+    texture_cnt 2
+    bone_cnt 0
+    variant_array
+    {
+        variant_idx 0
+        kind_pat "render|geo"
+        packet_max_vert_cnt 0
+        packet_max_tri_cnt 0
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "geo" "render"
+        optimized 1
+        closed 0
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 190
+        vert_ess_cnt 190
+        tri_cnt 90
+        tri_ess_cnt 90
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 1
+        has_neigh 0
+        has_normal 1
+        has_tangentu 1
+        has_tangentv 1
+        has_coloralpha 0
+        tex_layer_cnt 2
+        tex_attr_cnt 1
+    }
+    {
+        variant_idx 1
+        kind_pat "sep_neigh"
+        packet_max_vert_cnt 200
+        packet_max_tri_cnt 200
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "shvol_occl"
+        optimized 1
+        closed 0
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 48
+        vert_ess_cnt 48
+        tri_cnt 90
+        tri_ess_cnt 90
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 0
+        has_neigh 1
+        has_normal 0
+        has_tangentu 0
+        has_tangentv 0
+        has_coloralpha 0
+        tex_layer_cnt 0
+        tex_attr_cnt 0
+    }
+}
+{
+    name "head_group_cau"
+    bound_min -0.286418 -0.346221 -0.436515
+    bound_max 0.290669 0.334447 0.436515
     texture_cnt 0
     bone_cnt 0
@@ -1162,5 +1234,5 @@
 }
 {
-    name "head"
+    name "head01"
     bound_min -0.28564 -0.426236 -0.358122
     bound_max 0.252187 0.436978 0.360846
@@ -1234,90 +1306,18 @@
 }
 {
-    name "labourwalls2"
-    bound_min -3.28954 -3.55913 -2.10916
-    bound_max 3.28954 3.55913 2.10916
-    texture_cnt 2
-    bone_cnt 0
-    variant_array
-    {
-        variant_idx 0
-        kind_pat "render|geo"
-        packet_max_vert_cnt 0
-        packet_max_tri_cnt 0
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "geo" "render"
-        optimized 1
-        closed 0
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 190
-        vert_ess_cnt 190
-        tri_cnt 90
-        tri_ess_cnt 90
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 1
-        has_neigh 0
-        has_normal 1
-        has_tangentu 1
-        has_tangentv 1
-        has_coloralpha 0
-        tex_layer_cnt 2
-        tex_attr_cnt 1
-    }
-    {
-        variant_idx 1
-        kind_pat "sep_neigh"
-        packet_max_vert_cnt 200
-        packet_max_tri_cnt 200
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "shvol_occl"
-        optimized 1
-        closed 0
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 48
-        vert_ess_cnt 48
-        tri_cnt 90
-        tri_ess_cnt 90
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 0
-        has_neigh 1
-        has_normal 0
-        has_tangentu 0
-        has_tangentv 0
-        has_coloralpha 0
-        tex_layer_cnt 0
-        tex_attr_cnt 0
-    }
-}
-{
-    name "head_group_cau"
-    bound_min -0.286418 -0.346221 -0.436515
-    bound_max 0.290669 0.334447 0.436515
-    texture_cnt 0
-    bone_cnt 0
-    variant_array
-    {
-        variant_idx 0
-        kind_pat "render|geo"
-        packet_max_vert_cnt 0
-        packet_max_tri_cnt 0
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "geo"
+    name "Box01"
+    bound_min -0.356609 -0.673161 -4.60086e-008
+    bound_max 0.356609 0.67316 2.31755
+    texture_cnt 2
+    bone_cnt 0
+    variant_array
+    {
+        variant_idx 0
+        kind_pat "render|geo"
+        packet_max_vert_cnt 0
+        packet_max_tri_cnt 0
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "geo" "render"
         optimized 1
         closed 0
@@ -1338,14 +1338,518 @@
         has_neigh 0
         has_normal 1
-        has_tangentu 0
-        has_tangentv 0
-        has_coloralpha 0
-        tex_layer_cnt 0
-        tex_attr_cnt 0
-    }
-}
-{
-    name "head01"
-    bound_min -0.28564 -0.426236 -0.358122
+        has_tangentu 1
+        has_tangentv 1
+        has_coloralpha 0
+        tex_layer_cnt 2
+        tex_attr_cnt 1
+    }
+    {
+        variant_idx 1
+        kind_pat "sep_neigh"
+        packet_max_vert_cnt 200
+        packet_max_tri_cnt 200
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "shvol_occl"
+        optimized 1
+        closed 1
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 8
+        vert_ess_cnt 8
+        tri_cnt 12
+        tri_ess_cnt 12
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 0
+        has_neigh 1
+        has_normal 0
+        has_tangentu 0
+        has_tangentv 0
+        has_coloralpha 0
+        tex_layer_cnt 0
+        tex_attr_cnt 0
+    }
+}
+{
+    name "self3"
+    bound_min -0.26571 -0.77935 -1.02537
+    bound_max 0.265709 0.77935 1.02537
+    texture_cnt 2
+    bone_cnt 0
+    variant_array
+    {
+        variant_idx 0
+        kind_pat "render|geo"
+        packet_max_vert_cnt 0
+        packet_max_tri_cnt 0
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "geo" "render"
+        optimized 1
+        closed 0
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 232
+        vert_ess_cnt 232
+        tri_cnt 128
+        tri_ess_cnt 128
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 1
+        has_neigh 0
+        has_normal 1
+        has_tangentu 1
+        has_tangentv 1
+        has_coloralpha 0
+        tex_layer_cnt 2
+        tex_attr_cnt 1
+    }
+    {
+        variant_idx 1
+        kind_pat "sep_neigh"
+        packet_max_vert_cnt 200
+        packet_max_tri_cnt 200
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "shvol_occl"
+        optimized 1
+        closed 1
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 80
+        vert_ess_cnt 80
+        tri_cnt 128
+        tri_ess_cnt 128
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 0
+        has_neigh 1
+        has_normal 0
+        has_tangentu 0
+        has_tangentv 0
+        has_coloralpha 0
+        tex_layer_cnt 0
+        tex_attr_cnt 0
+    }
+}
+{
+    name "self5"
+    bound_min -0.265709 -0.77935 -1.02537
+    bound_max 0.26571 0.77935 1.02537
+    texture_cnt 2
+    bone_cnt 0
+    variant_array
+    {
+        variant_idx 0
+        kind_pat "render|geo"
+        packet_max_vert_cnt 0
+        packet_max_tri_cnt 0
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "geo" "render"
+        optimized 1
+        closed 0
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 232
+        vert_ess_cnt 232
+        tri_cnt 128
+        tri_ess_cnt 128
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 1
+        has_neigh 0
+        has_normal 1
+        has_tangentu 1
+        has_tangentv 1
+        has_coloralpha 0
+        tex_layer_cnt 2
+        tex_attr_cnt 1
+    }
+    {
+        variant_idx 1
+        kind_pat "sep_neigh"
+        packet_max_vert_cnt 200
+        packet_max_tri_cnt 200
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "shvol_occl"
+        optimized 1
+        closed 1
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 80
+        vert_ess_cnt 80
+        tri_cnt 128
+        tri_ess_cnt 128
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 0
+        has_neigh 1
+        has_normal 0
+        has_tangentu 0
+        has_tangentv 0
+        has_coloralpha 0
+        tex_layer_cnt 0
+        tex_attr_cnt 0
+    }
+}
+{
+    name "Box02"
+    bound_min -1.02205 -0.0516186 0.0
+    bound_max 1.02205 0.0516186 2.41574
+    texture_cnt 2
+    bone_cnt 0
+    variant_array
+    {
+        variant_idx 0
+        kind_pat "render|geo"
+        packet_max_vert_cnt 0
+        packet_max_tri_cnt 0
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "geo" "render"
+        optimized 1
+        closed 0
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 24
+        vert_ess_cnt 24
+        tri_cnt 12
+        tri_ess_cnt 12
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 1
+        has_neigh 0
+        has_normal 1
+        has_tangentu 1
+        has_tangentv 1
+        has_coloralpha 0
+        tex_layer_cnt 2
+        tex_attr_cnt 1
+    }
+    {
+        variant_idx 1
+        kind_pat "sep_neigh"
+        packet_max_vert_cnt 200
+        packet_max_tri_cnt 200
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "shvol_occl"
+        optimized 1
+        closed 1
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 8
+        vert_ess_cnt 8
+        tri_cnt 12
+        tri_ess_cnt 12
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 0
+        has_neigh 1
+        has_normal 0
+        has_tangentu 0
+        has_tangentv 0
+        has_coloralpha 0
+        tex_layer_cnt 0
+        tex_attr_cnt 0
+    }
+}
+{
+    name "Box03"
+    bound_min -0.0412946 -1.24917 0.0
+    bound_max 0.0412946 1.24917 2.3951
+    texture_cnt 2
+    bone_cnt 0
+    variant_array
+    {
+        variant_idx 0
+        kind_pat "render|geo"
+        packet_max_vert_cnt 0
+        packet_max_tri_cnt 0
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "geo" "render"
+        optimized 1
+        closed 0
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 24
+        vert_ess_cnt 24
+        tri_cnt 12
+        tri_ess_cnt 12
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 1
+        has_neigh 0
+        has_normal 1
+        has_tangentu 1
+        has_tangentv 1
+        has_coloralpha 0
+        tex_layer_cnt 2
+        tex_attr_cnt 1
+    }
+    {
+        variant_idx 1
+        kind_pat "sep_neigh"
+        packet_max_vert_cnt 200
+        packet_max_tri_cnt 200
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "shvol_occl"
+        optimized 1
+        closed 1
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 8
+        vert_ess_cnt 8
+        tri_cnt 12
+        tri_ess_cnt 12
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 0
+        has_neigh 1
+        has_normal 0
+        has_tangentu 0
+        has_tangentv 0
+        has_coloralpha 0
+        tex_layer_cnt 0
+        tex_attr_cnt 0
+    }
+}
+{
+    name "table2"
+    bound_min -0.695347 -0.876044 -0.52957
+    bound_max 0.695347 0.876044 0.52957
+    texture_cnt 2
+    bone_cnt 0
+    variant_array
+    {
+        variant_idx 0
+        kind_pat "render|geo"
+        packet_max_vert_cnt 0
+        packet_max_tri_cnt 0
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "geo" "render"
+        optimized 1
+        closed 0
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 168
+        vert_ess_cnt 168
+        tri_cnt 84
+        tri_ess_cnt 84
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 1
+        has_neigh 0
+        has_normal 1
+        has_tangentu 1
+        has_tangentv 1
+        has_coloralpha 0
+        tex_layer_cnt 2
+        tex_attr_cnt 1
+    }
+    {
+        variant_idx 1
+        kind_pat "sep_neigh"
+        packet_max_vert_cnt 200
+        packet_max_tri_cnt 200
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "shvol_occl"
+        optimized 1
+        closed 1
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 56
+        vert_ess_cnt 56
+        tri_cnt 84
+        tri_ess_cnt 84
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 0
+        has_neigh 1
+        has_normal 0
+        has_tangentu 0
+        has_tangentv 0
+        has_coloralpha 0
+        tex_layer_cnt 0
+        tex_attr_cnt 0
+    }
+}
+{
+    name "self2"
+    bound_min -1.22198 -1.28629 -0.26571
+    bound_max 1.22198 1.28629 0.26571
+    texture_cnt 2
+    bone_cnt 0
+    variant_array
+    {
+        variant_idx 0
+        kind_pat "render|geo"
+        packet_max_vert_cnt 0
+        packet_max_tri_cnt 0
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "geo" "render"
+        optimized 1
+        closed 0
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 232
+        vert_ess_cnt 232
+        tri_cnt 128
+        tri_ess_cnt 128
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 1
+        has_neigh 0
+        has_normal 1
+        has_tangentu 1
+        has_tangentv 1
+        has_coloralpha 0
+        tex_layer_cnt 2
+        tex_attr_cnt 1
+    }
+    {
+        variant_idx 1
+        kind_pat "sep_neigh"
+        packet_max_vert_cnt 200
+        packet_max_tri_cnt 200
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "shvol_occl"
+        optimized 1
+        closed 1
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 80
+        vert_ess_cnt 80
+        tri_cnt 128
+        tri_ess_cnt 128
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 0
+        has_neigh 1
+        has_normal 0
+        has_tangentu 0
+        has_tangentv 0
+        has_coloralpha 0
+        tex_layer_cnt 0
+        tex_attr_cnt 0
+    }
+}
+{
+    name "head_group_2"
+    bound_min -0.351627 -0.391826 -0.436515
+    bound_max 0.351627 0.391824 0.436515
+    texture_cnt 0
+    bone_cnt 0
+    variant_array
+    {
+        variant_idx 0
+        kind_pat "render|geo"
+        packet_max_vert_cnt 0
+        packet_max_tri_cnt 0
+        packet_max_bone_cnt 32
+        prec 0.0
+        usage "geo"
+        optimized 1
+        closed 0
+        sealed 0
+        caulked 0
+        family_cnt 1
+        vert_cnt 24
+        vert_ess_cnt 24
+        tri_cnt 12
+        tri_ess_cnt 12
+        bone_idx_cnt 0
+        bone_idx_ess_cnt 0
+        packet_cnt 1
+        key_cnt 1
+        has_bones 0
+        has_bone_subscr 0
+        has_opp 1
+        has_neigh 0
+        has_normal 1
+        has_tangentu 0
+        has_tangentv 0
+        has_coloralpha 0
+        tex_layer_cnt 0
+        tex_attr_cnt 0
+    }
+}
+{
+    name "head"
+    bound_min -0.28564 -0.426236 -0.358121
     bound_max 0.252187 0.436978 0.360846
     texture_cnt 2
@@ -1417,507 +1921,3 @@
     }
 }
-{
-    name "Box01"
-    bound_min -0.356609 -0.673161 -4.60086e-008
-    bound_max 0.356609 0.67316 2.31755
-    texture_cnt 2
-    bone_cnt 0
-    variant_array
-    {
-        variant_idx 0
-        kind_pat "render|geo"
-        packet_max_vert_cnt 0
-        packet_max_tri_cnt 0
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "geo" "render"
-        optimized 1
-        closed 0
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 24
-        vert_ess_cnt 24
-        tri_cnt 12
-        tri_ess_cnt 12
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 1
-        has_neigh 0
-        has_normal 1
-        has_tangentu 1
-        has_tangentv 1
-        has_coloralpha 0
-        tex_layer_cnt 2
-        tex_attr_cnt 1
-    }
-    {
-        variant_idx 1
-        kind_pat "sep_neigh"
-        packet_max_vert_cnt 200
-        packet_max_tri_cnt 200
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "shvol_occl"
-        optimized 1
-        closed 1
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 8
-        vert_ess_cnt 8
-        tri_cnt 12
-        tri_ess_cnt 12
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 0
-        has_neigh 1
-        has_normal 0
-        has_tangentu 0
-        has_tangentv 0
-        has_coloralpha 0
-        tex_layer_cnt 0
-        tex_attr_cnt 0
-    }
-}
-{
-    name "self3"
-    bound_min -0.26571 -0.77935 -1.02537
-    bound_max 0.265709 0.77935 1.02537
-    texture_cnt 2
-    bone_cnt 0
-    variant_array
-    {
-        variant_idx 0
-        kind_pat "render|geo"
-        packet_max_vert_cnt 0
-        packet_max_tri_cnt 0
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "geo" "render"
-        optimized 1
-        closed 0
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 232
-        vert_ess_cnt 232
-        tri_cnt 128
-        tri_ess_cnt 128
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 1
-        has_neigh 0
-        has_normal 1
-        has_tangentu 1
-        has_tangentv 1
-        has_coloralpha 0
-        tex_layer_cnt 2
-        tex_attr_cnt 1
-    }
-    {
-        variant_idx 1
-        kind_pat "sep_neigh"
-        packet_max_vert_cnt 200
-        packet_max_tri_cnt 200
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "shvol_occl"
-        optimized 1
-        closed 1
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 80
-        vert_ess_cnt 80
-        tri_cnt 128
-        tri_ess_cnt 128
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 0
-        has_neigh 1
-        has_normal 0
-        has_tangentu 0
-        has_tangentv 0
-        has_coloralpha 0
-        tex_layer_cnt 0
-        tex_attr_cnt 0
-    }
-}
-{
-    name "self5"
-    bound_min -0.265709 -0.77935 -1.02537
-    bound_max 0.26571 0.77935 1.02537
-    texture_cnt 2
-    bone_cnt 0
-    variant_array
-    {
-        variant_idx 0
-        kind_pat "render|geo"
-        packet_max_vert_cnt 0
-        packet_max_tri_cnt 0
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "geo" "render"
-        optimized 1
-        closed 0
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 232
-        vert_ess_cnt 232
-        tri_cnt 128
-        tri_ess_cnt 128
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 1
-        has_neigh 0
-        has_normal 1
-        has_tangentu 1
-        has_tangentv 1
-        has_coloralpha 0
-        tex_layer_cnt 2
-        tex_attr_cnt 1
-    }
-    {
-        variant_idx 1
-        kind_pat "sep_neigh"
-        packet_max_vert_cnt 200
-        packet_max_tri_cnt 200
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "shvol_occl"
-        optimized 1
-        closed 1
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 80
-        vert_ess_cnt 80
-        tri_cnt 128
-        tri_ess_cnt 128
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 0
-        has_neigh 1
-        has_normal 0
-        has_tangentu 0
-        has_tangentv 0
-        has_coloralpha 0
-        tex_layer_cnt 0
-        tex_attr_cnt 0
-    }
-}
-{
-    name "Box02"
-    bound_min -1.02205 -0.0516186 0.0
-    bound_max 1.02205 0.0516186 2.41574
-    texture_cnt 2
-    bone_cnt 0
-    variant_array
-    {
-        variant_idx 0
-        kind_pat "render|geo"
-        packet_max_vert_cnt 0
-        packet_max_tri_cnt 0
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "geo" "render"
-        optimized 1
-        closed 0
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 24
-        vert_ess_cnt 24
-        tri_cnt 12
-        tri_ess_cnt 12
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 1
-        has_neigh 0
-        has_normal 1
-        has_tangentu 1
-        has_tangentv 1
-        has_coloralpha 0
-        tex_layer_cnt 2
-        tex_attr_cnt 1
-    }
-    {
-        variant_idx 1
-        kind_pat "sep_neigh"
-        packet_max_vert_cnt 200
-        packet_max_tri_cnt 200
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "shvol_occl"
-        optimized 1
-        closed 1
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 8
-        vert_ess_cnt 8
-        tri_cnt 12
-        tri_ess_cnt 12
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 0
-        has_neigh 1
-        has_normal 0
-        has_tangentu 0
-        has_tangentv 0
-        has_coloralpha 0
-        tex_layer_cnt 0
-        tex_attr_cnt 0
-    }
-}
-{
-    name "Box03"
-    bound_min -0.0412946 -1.24917 0.0
-    bound_max 0.0412946 1.24917 2.3951
-    texture_cnt 2
-    bone_cnt 0
-    variant_array
-    {
-        variant_idx 0
-        kind_pat "render|geo"
-        packet_max_vert_cnt 0
-        packet_max_tri_cnt 0
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "geo" "render"
-        optimized 1
-        closed 0
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 24
-        vert_ess_cnt 24
-        tri_cnt 12
-        tri_ess_cnt 12
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 1
-        has_neigh 0
-        has_normal 1
-        has_tangentu 1
-        has_tangentv 1
-        has_coloralpha 0
-        tex_layer_cnt 2
-        tex_attr_cnt 1
-    }
-    {
-        variant_idx 1
-        kind_pat "sep_neigh"
-        packet_max_vert_cnt 200
-        packet_max_tri_cnt 200
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "shvol_occl"
-        optimized 1
-        closed 1
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 8
-        vert_ess_cnt 8
-        tri_cnt 12
-        tri_ess_cnt 12
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 0
-        has_neigh 1
-        has_normal 0
-        has_tangentu 0
-        has_tangentv 0
-        has_coloralpha 0
-        tex_layer_cnt 0
-        tex_attr_cnt 0
-    }
-}
-{
-    name "table2"
-    bound_min -0.695347 -0.876044 -0.52957
-    bound_max 0.695347 0.876044 0.52957
-    texture_cnt 2
-    bone_cnt 0
-    variant_array
-    {
-        variant_idx 0
-        kind_pat "render|geo"
-        packet_max_vert_cnt 0
-        packet_max_tri_cnt 0
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "geo" "render"
-        optimized 1
-        closed 0
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 168
-        vert_ess_cnt 168
-        tri_cnt 84
-        tri_ess_cnt 84
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 1
-        has_neigh 0
-        has_normal 1
-        has_tangentu 1
-        has_tangentv 1
-        has_coloralpha 0
-        tex_layer_cnt 2
-        tex_attr_cnt 1
-    }
-    {
-        variant_idx 1
-        kind_pat "sep_neigh"
-        packet_max_vert_cnt 200
-        packet_max_tri_cnt 200
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "shvol_occl"
-        optimized 1
-        closed 1
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 56
-        vert_ess_cnt 56
-        tri_cnt 84
-        tri_ess_cnt 84
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 0
-        has_neigh 1
-        has_normal 0
-        has_tangentu 0
-        has_tangentv 0
-        has_coloralpha 0
-        tex_layer_cnt 0
-        tex_attr_cnt 0
-    }
-}
-{
-    name "self2"
-    bound_min -1.22198 -1.28629 -0.26571
-    bound_max 1.22198 1.28629 0.26571
-    texture_cnt 2
-    bone_cnt 0
-    variant_array
-    {
-        variant_idx 0
-        kind_pat "render|geo"
-        packet_max_vert_cnt 0
-        packet_max_tri_cnt 0
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "geo" "render"
-        optimized 1
-        closed 0
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 232
-        vert_ess_cnt 232
-        tri_cnt 128
-        tri_ess_cnt 128
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 1
-        has_neigh 0
-        has_normal 1
-        has_tangentu 1
-        has_tangentv 1
-        has_coloralpha 0
-        tex_layer_cnt 2
-        tex_attr_cnt 1
-    }
-    {
-        variant_idx 1
-        kind_pat "sep_neigh"
-        packet_max_vert_cnt 200
-        packet_max_tri_cnt 200
-        packet_max_bone_cnt 32
-        prec 0.0
-        usage "shvol_occl"
-        optimized 1
-        closed 1
-        sealed 0
-        caulked 0
-        family_cnt 1
-        vert_cnt 80
-        vert_ess_cnt 80
-        tri_cnt 128
-        tri_ess_cnt 128
-        bone_idx_cnt 0
-        bone_idx_ess_cnt 0
-        packet_cnt 1
-        key_cnt 1
-        has_bones 0
-        has_bone_subscr 0
-        has_opp 0
-        has_neigh 1
-        has_normal 0
-        has_tangentu 0
-        has_tangentv 0
-        has_coloralpha 0
-        tex_layer_cnt 0
-        tex_attr_cnt 0
-    }
-}
 $
Index: GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/ordinary.s3d_shader_run
===================================================================
--- GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/ordinary.s3d_shader_run	(revision 2453)
+++ GTP/trunk/App/Demos/Illum/Shark3D/version164x12u/CleanTheLab/bin/res/levelutil/shader/ordinary.s3d_shader_run	(revision 2499)
@@ -870,6 +870,6 @@
                 destprop_antialias 0
                 mesh_var "mesh"
-                update_interval 1
-                update_all_face 1
+                update_interval 12
+                update_all_face 0
                 start_frame 0
                 last_center_var "lastCenter"
@@ -2142,6 +2142,6 @@
                 methods "init_method"
                 texchan_var "envmap0"
-                width 128
-                height 128
+                width 32
+                height 32
                 texprop_rendertarget 1
                 texprop_cube 1
@@ -2169,5 +2169,5 @@
                 mesh_var "mesh"
                 update_interval 6
-                update_all_face 1
+                update_all_face 0
                 start_frame 1
                 last_center_var "lastCenter"
@@ -3064,6 +3064,6 @@
                 destprop_antialias 0
                 mesh_var "mesh"
-                update_interval 1
-                update_all_face 1
+                update_interval 6
+                update_all_face 0
                 start_frame 0
                 last_center_var "lastCenter"
@@ -3224,6 +3224,6 @@
                 texchan_var "cauCubeMap"
                 texprop_cube 1
-                width 128
-                height 128
+                width 32
+                height 32
                 texprop_rendertarget 1
                 texprop_float 1
@@ -3368,5 +3368,5 @@
                 src_array "photonmap"
                 update_interval 1
-                update_all_face 1
+                update_all_face 0
                 start_frame 0
                 photon_count 128
